#if !defined(AFX_ADDDEFPORTSDLG_H__22C7E90E_D003_411C_9C6F_9F32E0EC2BDD__INCLUDED_)
#define AFX_ADDDEFPORTSDLG_H__22C7E90E_D003_411C_9C6F_9F32E0EC2BDD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AddDefPortsDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAddDefPortsDlg dialog

 
//===========================================================================
// Summary:
//     The CAddDefPortsDlg class derived from CDialog
//      Add Default Ports Dialog
//===========================================================================

class CAddDefPortsDlg : public CDialog
{
// Construction
public:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Add Default Ports Dialog, Constructs a CAddDefPortsDlg object.
	//		Returns A  value.  
	// Parameters:
	//		pParent---pParent, A pointer to the CWnd or NULL if the call failed.
	CAddDefPortsDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CAddDefPortsDlg)
	enum { IDD = IDD_DIALOG_DEFAULT_PORTS };
	BOOL	m_bBottomCenter;
	BOOL	m_bBottomRight;
	BOOL	m_bCenter;
	BOOL	m_bLeftBottom;
	BOOL	m_bLeftCenter;
	BOOL	m_bLeftTop;
	BOOL	m_bRightCenter;
	BOOL	m_bTopCenter;
	BOOL	m_bTopRight;
	BOOL	m_b0;
	BOOL	m_b1;
	BOOL	m_b2;
	BOOL	m_b3;
	BOOL	m_b4;
	BOOL	m_b5;
	BOOL	m_b6;
	BOOL	m_b7;
	BOOL	m_bEachShape;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAddDefPortsDlg)
	protected:
	
	//-----------------------------------------------------------------------
	// Summary:
	// Do Data Exchange, Do a event. 
	// This member function is also a virtual function, you can Override it if you need,  
	// Parameters:
	//		pDX---D X, A pointer to the CDataExchange or NULL if the call failed.
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAddDefPortsDlg)
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Diamand, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonDiamand();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Rectangle All, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonRectAll();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Rectangle Corner, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonRectCorner();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Triangle, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonTriangle();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button None, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonNone();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button Triangle2, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonTriangle2();
	
	//-----------------------------------------------------------------------
	// Summary:
	// On Button All, This member function is called by the framework to allow your application to handle a Windows message.

	afx_msg void OnButtonAll();
	//}}AFX_MSG
	
	//-----------------------------------------------------------------------
	// Summary:
	// E C L A R E_ M E S S A G E_ M A P, None Description.
	//		Returns A  value.
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADDDEFPORTSDLG_H__22C7E90E_D003_411C_9C6F_9F32E0EC2BDD__INCLUDED_)
